Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 26-11-2012 16:54:22

Starkdop
Membre
Distrib. : Debian v6
Noyau : Linux 2.6.32-5-amd64
(G)UI : Gnome 3
Inscription : 25-11-2012

Problème pour installer Skype

Bonjour à tous.

Pour installer Skype, j'ai téléchargé le .deb sur leur site.
J'ai ensuite fait :

sudo dpkg -i --force-architecture skype*


Ensuite il me dit qu'il manque des librairies. Pas de problème je fais :

sudo apt-get -f install


Problème cela me retourne :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 



Cela me rend dingue, apt est censé installer les dépendances mais il me dit qu'il n'y a rien à installer sad

Pouvez-vous m'aider ? Merci big_smile

Dernière modification par Starkdop (26-11-2012 16:54:58)

Hors ligne

#2 26-11-2012 17:17:12

eliohann
Membre
Lieu : Montpellier
Distrib. : Debian SID
(G)UI : Gnome Shell
Inscription : 23-09-2012

Re : Problème pour installer Skype

Sur une Debian sid, j'ai installé skype en faisant :

1) Activer le multiarch :

#dpkg --add-architecture i386



2) Update de apt :

#apt-get update



3) installation de skype :

#dpkg -i skype*



4) Résolution des dépendances :

#apt-get -f install



5) si tu as l'erreur correspondant au bug#676162 (http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676162) , un workaround fonctionnant bien :

#apt-get install -f -o Dpkg::options::="--force-overwrite"

Hors ligne

#3 26-11-2012 17:22:37

Starkdop
Membre
Distrib. : Debian v6
Noyau : Linux 2.6.32-5-amd64
(G)UI : Gnome 3
Inscription : 25-11-2012

Re : Problème pour installer Skype

Coucou eliohann.
Même avec ce que tu as proposé cela ne fonctionne pas :

dpkg --add-architecture i386


Renvoi :

dpkg: option --add-architecture inconnue




De plus cette commande :

#apt-get install -f -o Dpkg::options::="--force-overwrite"


Me renvoi aussi :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

Hors ligne

#4 26-11-2012 17:28:31

eliohann
Membre
Lieu : Montpellier
Distrib. : Debian SID
(G)UI : Gnome Shell
Inscription : 23-09-2012

Re : Problème pour installer Skype

hmmm là je vais laisser les spécialiste répondre mais il semblerait que tu sois sous squeeze 64 bits (debian stable) et, si j'en crois le message de dpkg après le add-architecture, il semblerait que tu ne puisse activer le multiarch sur ton environnement.

C'est embetant car skype ne fournit qu'un deb en 32bits et il faut, corriger moi si je me trompe, avoir le multiarch actif pour installer ça sur du 64bits ...

Je passe la main, suis pas assez calé encore pour te dépanner ;-)

Hors ligne

#5 26-11-2012 17:34:11

Starkdop
Membre
Distrib. : Debian v6
Noyau : Linux 2.6.32-5-amd64
(G)UI : Gnome 3
Inscription : 25-11-2012

Re : Problème pour installer Skype

Normalement en faisant un --force-architecture, le paquet s'installe normalement.
Le problème ici c'est pas l'architecture mais plutôt les dépendances qui ne veulent pas s'installer avec un

sudo apt-get -f install

Hors ligne

#6 26-11-2012 17:40:34

eliohann
Membre
Lieu : Montpellier
Distrib. : Debian SID
(G)UI : Gnome Shell
Inscription : 23-09-2012

Re : Problème pour installer Skype

probablement parce que les dépendances manquantes sont en architecture i386  pour certaines d'entre elles, après l'install de skype le

apt-get -f install

m'en a installé un paquet ... et comme ton apt ne gère que amd64, il ne trouve pas les dépendances (normal)...

Enfin je suppose.

Hors ligne

#7 26-11-2012 17:42:12

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Problème pour installer Skype

Sous squeeze il faut installer ia32-libs, le multiarch n'est pas supporté comme sur wheezy/sid que je sache (ça demande un remaniement de pas mal de choses dont l'arborescence des fichiers).

Après effectivement le --force-architecture pour les programmes 32bits

« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#8 26-11-2012 17:46:46

Starkdop
Membre
Distrib. : Debian v6
Noyau : Linux 2.6.32-5-amd64
(G)UI : Gnome 3
Inscription : 25-11-2012

Re : Problème pour installer Skype

Quand je lance

sudo apt-get install ia32-libs


Il me sort :

ia32-libs est déjà la plus récente version disponible.



Pourtant quand je lance l'installation de Skype sans faire un --force-architecture, cela ne fonctionne pas.

Hors ligne

#9 26-11-2012 17:53:41

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Problème pour installer Skype

Starkdop  si skype est en 32 et ton archi en 64 c'est normal de faire --force-architecture

« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#10 26-11-2012 17:57:03

Starkdop
Membre
Distrib. : Debian v6
Noyau : Linux 2.6.32-5-amd64
(G)UI : Gnome 3
Inscription : 25-11-2012

Re : Problème pour installer Skype

Haricophile a écrit :

Starkdop  si skype est en 32 et ton archi en 64 c'est normal de faire --force-architecture



Dans ce cas pourquoi la commande

sudo apt-get -f install


Pour installer les dépendances manquantes ne fonctionne pas ?

Hors ligne

#11 26-11-2012 18:28:12

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : Problème pour installer Skype

Je viens de tester sur sid, ce qui ne marche pas surtout c'est qu'il réclame des versions de librairies différentes.

De toute manière un truc entièrement proprio et verouillé de ce genre, c'est la XXXXXXXXX et je sais pourquoi je ne l'utilise pas, pas plus que FesseBouc et compagnie.

« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#12 26-11-2012 18:33:41

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Problème pour installer Skype

Bonsoir,

Sur squeeze, j'ai installé skype-debian_4.0.0.7-1_amd64.deb, ça fonctionne de façon satisfaisante.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

Pied de page des forums